<?php use_helper('UrlFunctions'); ?>
<script>
findControl = function(){
  
  concatValueStr();
  
}

exportFindControl = function(action){
  strFormSerialize = returnQueryStringForm();
  executeFind(strFormSerialize, action);
}

executeFind = function(str, action){
  if(typeof(action) == 'undefined'){
	  url = "<?=buildUrl('cli/grid', "block=".$block)?>";
	}else{
	  switch (action){
	    case 'excel': parent.objMainTab.reqBody('<?=buildUrlComplet('rep.php/cli/excel')?>','001&'+str); break;
	    case 'pdf': parent.objMainTab.reqBody('<?=buildUrl('cli/pdf')?>','001&'+str); break;	    
	  }
	  
	  return;
	}
  //str = str + '&block=001';
  url = "<?=buildUrl('cli/grid', "block=".$block)?>";
	var myAjax  = new Ajax.Updater(
                                	"resultGrtid",
                                	url,
                                	{
                                		asynchronous:	true,
                                		method			: 'get',
                                		parameters	: str,
                                		evalScripts	: true,
                                		onLoading   : cargandoImagenSerch(),
                                		onComplete	: function(){
                                			//objMainTab.showMenu();
                                		}
                                	});
}

concatValueStr = function(){
  strFormSerialize = returnQueryStringForm();
  if(arguments[0]){
    strFormSerialize += '&'+arguments[0];
  }
  executeFind(strFormSerialize);
}

function returnQueryStringForm(){
  cadenaFormulario = $('form1').serialize();
             var posicion = new Array();
             var a_pars = new Array();
             var miArray = new Array();
             posicion=[];
             a_pars=[];
             miArray=[];
             miArray = cadenaFormulario.split('&');
             x=0;
             for (i = 0; i < miArray.length; i++){
            	   posicion[i] = miArray[i].indexOf('=');
            	   if(typeof(miArray[i-1])!='undefined'){
            				if(miArray[i].substring(posicion[i],0)== miArray[i-1].substring(posicion[i-1],0) ){
           					 porcion = miArray[i].substring((1+posicion[i]));
           					 a_pars[x-1]+='@'+porcion;
           				}else{
          					 a_pars[x]= miArray[i];
         					 x++;
          				}
          		}else{
          			 a_pars[x]= miArray[i];
          			  x++;
          		}
           }
  cadenaFormulario = a_pars.join('&');
  cadenaFormulario += '&id_form=frmFindFedu';
  return(cadenaFormulario);
}

function cargandoImagenSerch(){
	//disabledWin.setPathImage('/images/common/progress.gif');
	disabledWin.show(true,true,'resultGrtid');
}

</script>
<script>
findControl = function(){
  
  var pars = $('form1').serialize();
  
	disabledWin.setPathImage('/images/common/progress.gif');
	disabledWin.show(true,true,'resultGrtid');
  
	url = "<?=buildUrl('cli/grid', "block=".$block)?>";
	var myAjax  = new Ajax.Updater(
	"resultGrtid",
	url,
	{
		asynchronous:	true,
		method			: 'get',
		parameters	: pars,
		evalScripts	: true,
		onLoading		: function(){
			//$('contentMenu').innerHTML = $('messageLoadMenu').innerHTML;
		},
		onComplete	: function(){
			//objMainTab.showMenu();
		}
	});
  
}

deleteRegistro = function(id){
  if(confirm("�Esta seguro de eliminar la ficha del Cliente con Id : "+id+ " ?")){
      parent.objMainTab.reqBody('<?=buildUrlComplet('mnt.php/cli/delete')?>','&delete=1&cod=jj&id='+id);
  }
  
}

acutalizarMercado = function(destino,elm){
  $(destino).options.length = 1;
  var url = '<?=buildUrlComplet('mnt.php/ajax/request')?>';
  var pars = 'type=getMercado&nombreElm='+destino+'&value='+elm.value;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
    $('cboRepresentante').length = 1;
}

</script>
<script>
acutalizarRepresentante = function(destino,elm){
  $(destino).options.length = 1;
  var url = '<?=buildUrlComplet('mnt.php/ajax/request')?>';
  var pars = 'type=getRepresentanteUser&nombreElm='+destino+'&value='+elm.value;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
}

</script>
<script>
actualizaJSON = function(request, json){
  var numeroElementos = json.length;
  for (var i = 0; i < numeroElementos; i++){
    if($(json[i][0])){
  	  switch ($(json[i][0]).tagName){
  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
  	    case 'SELECT'  : 
  	      var objDDL = $(json[i][0]);
  	      if(typeof(cont) == 'undefined'){
  	        var cont = 0;
  	        objDDL.options.length = 1;
  	      }
  	      var a_contentValues = json[i][1].split("_;_");
      		var value	= a_contentValues[0];
      		var text	= a_contentValues[1];
  	      var option	= new Option(text,value);
      		try{
      			objDDL.add(option,null);
      		}catch (e){
      			objDDL.add(option,-1);
      		}
  	      cont++;
  	    break;
  	  }
    }else{
      if(json[i][0].indexOf("function") > -1){
        eval("scriptEval = "+json[i][0]);
        scriptEval();
      }
    }
  }
}
</script>

<?php
if(myUser::getUser()->getRoleId() == "sys.ope" ){
    	$o_MercadoRepresentanteBean = new MercadoRepresentanteBean();
		$o_MercadoRepresentanteBean->setIdColaborador(myUser::getUser()->getIdColaborador());
		$o_MercadoRepresentanteBL = new MercadoRepresentanteBL();
		$a_o_MercadoRepresentante = $o_MercadoRepresentanteBL->busquedaMercadoRepresentanteDetalle($o_MercadoRepresentanteBean);
		foreach ($a_o_MercadoRepresentante as $key => $o_MercadoRepresentante ){
			$a_Id_Mercado[$o_MercadoRepresentante->getIdMercado()] = $o_MercadoRepresentante->getIdMercado();
			$i_dMercado = $o_MercadoRepresentante->getIdMercado();
		}
		$o_SucursalMercadoBean = new SucursalMercadoBean();
		$o_SucursalMercadoBean->setIdMercado($i_dMercado);
		$o_SucursalMercadoDP = new SucursalMercadoDP($o_SucursalMercadoBean);
		$a_o_SucursalMercadoDP = $o_SucursalMercadoDP->select();
		foreach ($a_o_SucursalMercadoDP as $key => $o_SucursalMercadoDP ){
			$i_idsucursal = $o_SucursalMercadoDP->getIdSucursal();
		}
		
}elseif(myUser::getUser()->getRoleId() == "sys.res" ){
        
        $o_SucursalBean = new SucursalBean();
		$o_SucursalBean->setIdAdministrador(myUser::getUser()->getIdColaborador());
		$o_SucursalDP = new SucursalDP($o_SucursalBean);
		$a_o_SucursalDP = $o_SucursalDP->select();
		foreach ($a_o_SucursalDP as $key => $o_SucursalMercadoDP ){
			$i_idsucursal = $o_SucursalMercadoDP->getIdSucursal();
		}
    
    	$o_SucursalMercadoBean= new SucursalMercadoBean();
		$o_SucursalMercadoBean->setIdSucursal($i_idsucursal);
		$o_SucursalMercadoDP = new SucursalMercadoDP($o_SucursalMercadoBean);
		$a_o_SucursalMercadoDP = $o_SucursalMercadoDP->select();
		foreach ($a_o_SucursalMercadoDP as $key => $o_SucursalMercadoDP ){
			$a_Id_Mercado[$o_SucursalMercadoDP->getIdMercado()] = $o_SucursalMercadoDP->getIdMercado();
		}
		
		
}

//Tipos de Negocio
$o_ClienteSystemClass = new ClienteSystemClass(new TipoNegocioBean());
$a_TipoNegocio = $o_ClienteSystemClass->getTipoNegocio();

//Carga los Mercado
$o_MercadoBean = new MercadoBean();
if($a_Id_Mercado) $o_MercadoBean->setIdMercados($a_Id_Mercado);
$MercadoDP = new MercadoDP($o_MercadoBean);
$a_Mercado = $MercadoDP->select();
/*
echo "ok<pre>";
echo $i_idsucursal."*-*-*-";
print_r($a_Id_Mercado);
echo "</pre>";
*/

$o_SucursalBean = new SucursalBean();
$o_SucursalBean->setIdSucursal($i_idsucursal);
$o_SucursalDP = new SucursalDP($o_SucursalBean);
$a_Sucursal = $o_SucursalDP->select();

if(myUser::getUser()->getRoleId() == "sys.gen" ){
    $a_Mercado = null;
}


$fecha=date("Y-m-d");
?>

<img src="/images/common/spacer.gif" width="10">
<table class="cuerpo" style="background: #fff" width="99%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td valign="top">
      <form name="form1" id="form1" method="POST">
      <input type="hidden" name="IdColaborador"  id="IdColaborador">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td class="titleBody"><li>&nbsp;&nbsp;Clientes Nuevos</li></td>
          <td align="right" valign="baseline">
            
            <img src="/images/common/buttons/btnExcel.gif" title="Exportar a Excel" onClick="exportFindControl('excel');" style="cursor:pointer"/>
            
          </td>
        </tr>
      </table>
      <table class="marco" width="100%">
        <tr>
          <td align="center" valign="top">
            <table width="100%" border="0" cellspacing="0" cellpadding="0">
             
              <tr>
                <td width="100%" valign="top">
                  <table class="SubCabecera" width="75%" border="0" cellpadding="0" cellspacing="2">
                     <tr>
		                <td width="12%" height="26" nowrap="nowrap" class="cabecera"><label class="label" for="txtNombre">Sucursal</label></td>
		                <td width="10%" nowrap="nowrap">
		                      	 <select name="cboSucursal" id="cboSucursal" type="text" class="combo" onchange="acutalizarMercado('cboMercado',this);"/> 
					 	            <?php if(myUser::getUser()->getRoleId() == "sys.gen" ){?><option value="" > - Seleccionar - </option><?php }?>
			                        <?php foreach ($a_Sucursal as $iKey => $o_SucursalBean){ ?>
			                        <option value="<?=$o_SucursalBean->getIdSucursal()?>">
			                          <?=$o_SucursalBean->getDescripcion()?>
			                        </option>
			                        <?php } ?> 
				              </select>
		               	</td>
		               	<td width="12%" height="26" nowrap="nowrap" class="cabecera"><label class="label" for="txtNombre">Mercado</label></td>
		                <td width="10%" nowrap="nowrap">
		                      	 <select name="cboMercado" id="cboMercado" type="text" class="combo"  onchange="acutalizarRepresentante('cboRepresentante',this);"/> 
					 	            <?php if(myUser::getUser()->getRoleId() == "sys.gen" ){?><option value="" > - Seleccionar - </option><?php }?>
					 	             <?php foreach ($a_Mercado as $iKey => $o_Mercado){ ?>
    			                        <option value="<?=$o_Mercado->getIdMercado()?>">
    			                          <?=$o_Mercado->getDescripcion()?>
    			                        </option>
			                        <?php } ?> 
				                </select>
		               	</td>
						<!--<td width="12%" height="26" nowrap="nowrap" class="cabecera"><label class="label" for="txtNombre">Representante</label></td>
		                <td width="10%" nowrap="nowrap">
		                  	 <select name="cboRepresentante" id="cboRepresentante" type="text" class="combo"/> 
		                  	 	<option value="" > - Seleccionar - </option>
			                </select>
		           	  </td>-->
		           	 
		            </tr>
                    <tr>
                       <td width="15%" height="26" nowrap="nowrap" class="cabecera"><label class="label" for="txtDni">Documento</label></td>
                      <td width="80%" nowrap="nowrap" align="left"><input name="Dni" id="Dni" size="10" maxlength="10" type="text" class="text"/></td>
                      <td width="80%" nowrap="nowrap" >
          			    <select name="cboTipoNombre" id="cboTipoNombre" type="text" class="combo"> 
							<option value="AP" > - Apellido Paterno- </option>
							<option value="AM" > - Apellido Materno- </option>
							<option value="NO" > - Nombres- </option>
		                 </select>
                      </td>
					  <td width="80%" nowrap="nowrap"><input name="txtNombre" id="txtNombre" type="text"  size="35" class="text"/></td>
					  <td width="9%" height="26" nowrap="nowrap" class="cabecera"><label class="label" for="txtDni">Nro Cliente</label></td>
                              <td width="15%" nowrap="nowrap" align="left"><input name="txtNuemroCliente" id="txtNuemroCliente" size="10" type="text" class="text"/></td>
                    </tr>
                     <tr>
                     <td width="9%" height="26" nowrap="nowrap" class="cabecera"><label class="label" for="txt">F.Registro</label></td>
                    <td nowrap="nowrap" colspan="2"><input class="text" type="text" ondblclick="this.value=''" size="10" maxlength="10" name="FechaCreacionInicial" id="FechaCreacionInicial" value='<?=$fecha?>' />&nbsp;<button type="button" onclick="return false" id="btnFechaCreacionInicial">...</button>
                 	<script type="text/javascript">
                        document.getElementById("FechaCreacionInicial").disabled = false;
                        Calendar.setup({
                          inputField : "FechaCreacionInicial",
                          ifFormat : "%Y-%m-%d",
                          daFormat : "%Y-%m-%d",
                          button   : "btnFechaCreacionInicial"
                        });
                     </script>
                 
                &nbsp;-&nbsp;<input class="text" type="text" ondblclick="this.value=''" size="10" maxlength="11" name="FechaCreacionFinal" id="FechaCreacionFinal" value='<?=$fecha?>'/>&nbsp;<button type="button" onclick="return false" id="btnFechaCreacionFinal">...</button></td>
                     <script type="text/javascript">
                        document.getElementById("FechaCreacionFinal").disabled = false;
                        Calendar.setup({
                          inputField : "FechaCreacionFinal",
                          ifFormat : "%Y-%m-%d",
                          daFormat : "%Y-%m-%d",
                          button   : "btnFechaCreacionFinal"
                        });
                     </script> 
                     <td width="9%" height="26" nowrap="nowrap" class="cabecera"><label class="label" for="txt">F.Conversion</label></td>
                    <td nowrap="nowrap" colspan="2"><input class="text" type="text" ondblclick="this.value=''" size="10" maxlength="10" name="FechaConversionInicial" id="FechaConversionInicial" value='' />&nbsp;<button type="button" onclick="return false" id="btnFechaConversionInicial">...</button>
                 	<script type="text/javascript">
                        document.getElementById("FechaConversionInicial").disabled = false;
                        Calendar.setup({
                          inputField : "FechaConversionInicial",
                          ifFormat : "%Y-%m-%d",
                          daFormat : "%Y-%m-%d",
                          button   : "btnFechaConversionInicial"
                        });
                     </script>
                 
                &nbsp;-&nbsp;<input class="text" type="text" ondblclick="this.value=''" size="10" maxlength="10" name="FechaConversionFinal" id="FechaConversionFinal" value=''/>&nbsp;<button type="button" onclick="return false" id="btnFechaConversionFinal">...</button>&nbsp;
                     <script type="text/javascript">
                        document.getElementById("FechaConversionFinal").disabled = false;
                        Calendar.setup({
                          inputField : "FechaConversionFinal",
                          ifFormat : "%Y-%m-%d",
                          daFormat : "%Y-%m-%d",
                          button   : "btnFechaConversionFinal"
                        });
                     </script> 	
					<input class="button" type="button" id="buscarn" value="Buscar" onclick="findControl();"/></td>
                      
			 		 </tr>
                  </table>
                </td>
            </table>
          </td>
        </tr>
      </table>
      </form>
      <div id="resultGrtid">
      </div>
    </td>
  </tr>
</table>


<?php
if(isset($insert)){
  ?>
  <script>
    elementLoad.show(undefined,"Se inserto la ficha satisfactoriamente.");
    setTimeout("elementLoad.hide()",5000);
    $('IdCliente').value = "<?=$id?>";
    $('Dni').value = "<?=$Dni?>";
    $('cboEstado').value = "<?=$cboEstado?>";
    $('cboTipoNegocio').value = "<?=$cboTipoNegocio?>";
    $('cboSexo').value = "<?=$cboSexo?>"; 
    /* if ('cboNombres'= 'ApellidoPaterno'){
        $('ApellidoPaterno').value = "<?=$txtNombre?>";
     }else{
        $('Nombres').value = "<?=$txtNombre?>";  
     }*/
    findControl();
  </script>
  <?php
}
if(isset($update)){
  ?>
  <script>
    elementLoad.show(undefined,"Se actualizo la ficha satisfactoriamente.");
    setTimeout("elementLoad.hide()",5000);
    $('IdCliente').value = "<?=$id?>";
    $('Dni').value = "<?=$Dni?>";
    $('cboEstado').value = "<?=$cboEstado?>";
    $('cboTipoNegocio').value = "<?=$cboTipoNegocio?>";
    $('cboSexo').value = "<?=$cboSexo?>"; 
     /*if ('cboNombres'= 'ApellidoPaterno'){
        $('ApellidoPaterno').value = "<?=$txtNombre?>";
     }else{
        $('Nombres').value = "<?=$txtNombre?>";  
     }*/
    findControl();
  </script>
  <?php
}
if(isset($delete)){
  ?>
  <script>
    elementLoad.show(undefined,"Se elimino la ficha satisfactoriamente.");
    setTimeout("elementLoad.hide()",5000);
    $('IdCliente').value = "<?=$id?>";
    $('Dni').value = "<?=$Dni?>";
    $('cboEstado').value = "<?=$cboEstado?>";
    $('cboTipoNegocio').value = "<?=$cboTipoNegocio?>";
    $('cboSexo').value = "<?=$cboSexo?>"; 
    /* if ('cboNombres'= 'ApellidoPaterno'){
        $('ApellidoPaterno').value = "<?=$txtNombre?>";
     }else{
        $('Nombres').value = "<?=$txtNombre?>";  
     }*/
    findControl();
  </script>
  <?php 
  
}
?>